- Home
- API Enriched
- Shape
- shape
- Unarchive Certificate By ID.
Unarchive Certificate By ID.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/certificate/example/unarchive';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cert_id":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/certificate/example/unarchive \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cert_id": "example", "namespace": "example" }'Unarchive a certificate by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required.
Certificate ID
x-required.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to unarchive certificate by ID.
object
Unique identifier for this resource
Human-readable name for the resource
Examplegenerated
{ "cert_id": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Detailed certificate response after unarchive.
object
object
Configuration parameter for certificate added
Configuration parameter for certificate added date
object
Configuration parameter for cert
Configuration parameter for csr
Unique identifier for the resource
Configuration parameter for pkey
Human-readable name for the resource
Human-readable name for the resource
Configuration parameter for created by user
Configuration parameter for creation time
Human-readable name for the resource
Email address in RFC 5322 format
Unique identifier for this resource
Configuration parameter for expiration date
Unique identifier for the resource
Configuration parameter for issuer
Configuration parameter for last update time
Configuration parameter for last updated by user
Configuration parameter for locality
Human-readable name for the resource
Human-readable name for the resource
Human-readable name for the resource
Configuration parameter for retired
Configuration parameter for san
Current state of the resource
Configuration parameter for used by
object
Examplegenerated
{ "certificate_detail": { "certificate_added": true, "certificate_added_date": "2026-04-15T12:00:00Z", "certificate_content": { "cert": "example", "csr": "example", "id": "example", "pkey": "example" }, "common_name": "example", "country_name": "example", "created_by_user": "example", "creation_time": "2026-04-15T12:00:00Z", "csr_name": "example", "email": "hello@example.com", "enterprise_id": "example", "expiration_date": "2026-04-15T12:00:00Z", "id": "example", "issuer": "example", "last_update_time": "2026-04-15T12:00:00Z", "last_updated_by_user": "example", "locality": "example", "name": "example", "organization_name": "example", "organization_unit_name": "example", "retired": true, "san": [ "example" ], "state": "example", "used_by": {} }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example